{
  "accUserMode" : 2,
  "caption" : "手机",
  "codeName" : "phoneGridExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneGridExpView.json",
  "name" : "phoneGridExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridExpView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "gridexpbar",
      "name" : "GRIDEXPBAR",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "GridExpViewgridexpbar",
    "controlType" : "GRIDEXPBAR",
    "hookEventNames" : [ "SELECTIONCHANGE", "LOAD", "ACTIVATED" ],
    "name" : "gridexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "gridexpbar"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SELECTIONCHANGE;LOAD;ACTIVATED",
      "logicTag" : "gridexpbar",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_gridexpbar",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRIDEXPBAR"
    },
    "getPSControls" : [ {
      "aggMode" : "NONE",
      "codeName" : "Main",
      "columnEnableFilter" : 2,
      "columnEnableLink" : 2,
      "controlType" : "GRID",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSGRIDS/Main.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchByIPhone"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "groupMode" : "NONE",
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "logicName" : "主表格",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchByIPhone"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据表格处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "gridexpbar_grid",
        "logicType" : "CUSTOM",
        "name" : "gridexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "gridexpbar_grid",
        "logicType" : "CUSTOM",
        "name" : "gridexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "gridexpbar_grid"
      },
      "getPSDEGridColumns" : [ {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "caption" : "手机标识",
        "codeName" : "phoneid",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "phoneid",
        "excelCaption" : "手机标识",
        "name" : "phoneid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        },
        "width" : 180,
        "widthUnit" : "PX",
        "enableRowEdit" : true,
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "caption" : "手机名称",
        "codeName" : "phonename",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "phonename",
        "excelCaption" : "手机名称",
        "name" : "phonename",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PHONENAME",
          "codeName" : "PhoneName"
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableRowEdit" : true,
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "FRONT",
        "caption" : "更新人",
        "codeName" : "updateman",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "updateman",
        "excelCaption" : "更新人",
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableRowEdit" : true,
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "caption" : "金额",
        "codeName" : "money",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "money",
        "excelCaption" : "金额",
        "name" : "money",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "MONEY",
          "codeName" : "Money"
        },
        "unitName" : "元",
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : true,
        "enableUnitName" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "caption" : "金额",
        "codeName" : "money1",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "money",
        "excelCaption" : "金额",
        "name" : "money1",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "MONEY",
          "codeName" : "Money"
        },
        "unitName" : "元",
        "width" : 100,
        "widthUnit" : "PX",
        "enableRowEdit" : true,
        "enableSort" : true,
        "enableUnitName" : true
      } ],
      "getPSDEGridDataItems" : [ {
        "dataType" : 25,
        "name" : "phoneid",
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        }
      }, {
        "dataType" : 25,
        "name" : "phonename",
        "getPSAppDEField" : {
          "name" : "PHONENAME",
          "codeName" : "PhoneName"
        }
      }, {
        "dataType" : 25,
        "name" : "updateman",
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        }
      }, {
        "dataType" : 6,
        "name" : "money",
        "getPSAppDEField" : {
          "name" : "MONEY",
          "codeName" : "Money"
        }
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfdataaccaction",
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        },
        "dataAccessAction" : true
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "PHONENAME",
          "codeName" : "PhoneName"
        }
      } ],
      "getPSDEGridEditItemUpdates" : [ {
        "codeName" : "testGridItemUpdate1",
        "name" : "测试1",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSDEGEIUpdateDetails" : [ {
          "name" : "updateman"
        }, {
          "name" : "phonename"
        } ]
      } ],
      "getPSDEGridEditItems" : [ {
        "caption" : "手机标识",
        "codeName" : "phoneid",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "phoneid",
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        },
        "getPSDEGridEditItemUpdate" : {
          "modelref" : true,
          "id" : "testGridItemUpdate1"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "phoneid"
        },
        "allowEmpty" : true
      }, {
        "caption" : "手机名称",
        "codeName" : "phonename",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "phonename",
        "getPSAppDEField" : {
          "name" : "PHONENAME",
          "codeName" : "PhoneName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "phonename"
        },
        "allowEmpty" : true
      }, {
        "caption" : "更新人",
        "codeName" : "updateman",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "name" : "updateman",
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 60,
          "name" : "updateman"
        },
        "allowEmpty" : false,
        "convertToCodeItemText" : true
      }, {
        "caption" : "金额",
        "codeName" : "money1",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "money1",
        "getPSAppDEField" : {
          "name" : "MONEY",
          "codeName" : "Money"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "money1"
        },
        "unitName" : "元",
        "allowEmpty" : true,
        "enableUnitName" : true
      }, {
        "caption" : "手机标识",
        "codeName" : "srfkey",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "srfkey"
        },
        "allowEmpty" : true
      } ],
      "pagingSize" : 20,
      "getRemovePSControlAction" : {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "sortMode" : "REMOTE",
      "hasWFDataItems" : false,
      "enableColFilter" : false,
      "enableCustomized" : true,
      "enableGroup" : false,
      "enablePagingBar" : true,
      "enableRowEdit" : false,
      "enableRowEditOrder" : false,
      "enableRowNew" : false,
      "forceFit" : false,
      "hideHeader" : false,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "gridexpbar_grid",
      "modelid" : "102fe4f65129bafca1451c4ca125530f",
      "modeltype" : "PSDEGRID"
    } ],
    "xDataControlName" : "gridexpbar_grid",
    "enableCounter" : true,
    "enableSearch" : false,
    "showTitleBar" : true,
    "modelid" : "429d72051613ac9ea580c4338ec65dec_gridexpbar",
    "modeltype" : "PSEXPBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "手机",
    "codeName" : "GridExpViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "GridExpView",
  "getPSDEViewId" : "6F8588D2-77BF-4241-A32A-82CFF016B578",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "refFlag" : false,
  "sideBarLayout" : "LEFT",
  "title" : "手机表格导航视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "429d72051613ac9ea580c4338ec65dec",
  "modeltype" : "PSAPPDEVIEW"
}